I follow the <docs> to deploy the flyte. But after...
# ask-the-community
j
I follow the docs to deploy the flyte. But after I run the hello_world.py in remote, I got “Original exception: Unable to locate credentials” error. I’ve tried to search docs and issues, but found nothing about it.
The pod error: NoCredentialsError: Unable to locate credentials During handling of the above exception, another exception occurred: ╭───────────────────── Traceback (most recent call last) ──────────────────────╮ │ /usr/local/bin/pyflyte-fast-execute:8 in <module> │ │ │ │ ❱ 8 │ sys.exit(fast_execute_task_cmd()) │ │ │ │ /usr/local/lib/python3.11/site-packages/click/core.py:1130 in call │ │ │ │ ❱ 1130 │ │ return self.main(*args, **kwargs) │ │ │ │ /usr/local/lib/python3.11/site-packages/click/core.py:1055 in main │ │ │ │ ❱ 1055 │ │ │ │ │ rv = self.invoke(ctx) │ │ │ │ /usr/local/lib/python3.11/site-packages/click/core.py:1404 in invoke │ │ │ │ ❱ 1404 │ │ │ return ctx.invoke(self.callback, **ctx.params) │ │ │ │ /usr/local/lib/python3.11/site-packages/click/core.py:760 in invoke │ │ │ │ ❱ 760 │ │ │ │ return __callback(*args, **kwargs) │ │ │ │ /usr/local/lib/python3.11/site-packages/flytekit/bin/entrypoint.py:497 in │ │ fast_execute_task_cmd │ │ │ │ ❱ 497 │ │ _download_distribution(additional_distribution, dest_dir) │ │ │ │ /usr/local/lib/python3.11/site-packages/flytekit/core/utils.py:295 in │ │ wrapper │ │ │ │ ❱ 295 │ │ │ │ return func(*args, **kwargs) │ │ │ │ /usr/local/lib/python3.11/site-packages/flytekit/tools/fast_registration.py: │ │ 113 in download_distribution │ │ │ │ ❱ 113 │ FlyteContextManager.current_context().file_access.get_data(additio │ │ │ │ /usr/local/lib/python3.11/site-packages/flytekit/core/utils.py:295 in │ │ wrapper │ │ │ │ ❱ 295 │ │ │ │ return func(*args, **kwargs) │ │ │ │ /usr/local/lib/python3.11/site-packages/flytekit/core/data_persistence.py:30 │ │ 1 in get_data │ │ │ │ ❱ 301 │ │ │ raise FlyteAssertion( │ ╰──────────────────────────────────────────────────────────────────────────────╯ FlyteAssertion: Failed to get data from s3://coscene-traits-dev/flytesnacks/development/YYHE6OSLHL2BT5PSBO3SQXDVSQ====== /script_mode.tar.gz to /root/ (recursive=False). Original exception: Unable to locate credentials
e
I have the same issue as well, looking for some clues how to resolve it.
j
I found pyflyte usage: --config -c TEXT Path to config file for use within container. I’ve tried specify storage config, but it doesn’t seem to work.
e
Per Samhita’s response on my error, there might be a problem with the propeller config. You can check this https://flyte-org.slack.com/archives/CP2HDHKE1/p1685424963698559?thread_ts=1685343156.567799&amp;cid=CP2HDHKE1
j
@Erik Dao Thanks a lot. After fixing the configurations, it works now.
k
Thank you @Erik Dao for the help
145 Views